import javax.swing.*;

public class IzracunDavka {
//metoda main
  public static void main(String[] args) {
    // Uporabnik naj vnese status
    String statusString = JOptionPane.showInputDialog(
      "Vnesi šifro svojega statusa:\n" +
      "(0-samski oz. samska, 1-poročen oz. poročena, 2-ločenec oz ločenka");
    int status = Integer.parseInt(statusString);

    // Uporabnik naj vnese svoj letni dohodek
    String dohodekString = JOptionPane.showInputDialog("Vnesi svoj letni dohodek v evrih:");
    double dohodek = Double.parseDouble(dohodekString);

    // Izračunaj in izpiši plačilo davka
    JOptionPane.showMessageDialog(null, "Davek znaša " +
      (int)(izracunDavka(status, dohodek) * 100) / 100.0 + " evrov za naivneže.");
  }
//metoda za izračun davka s pomočjo tabele
  public static double izracunDavka(int status, double dohodek) {
    double[] davcnaStopnja = {0.0, 0.10, 0.15, 0.27, 0.30, 0.35, 0.386};

    int[][] kategorija = {
      {5000, 10950, 20700, 41250, 62050}, //samski oz. samska
      {10000, 17800, 19850, 38950, 57050}, // poročen oz. poročena
      {9000, 15350, 22425, 45975, 53525}, // ločenec oz ločenka
    };

    double davek = 0;

    // davek za prvo skupino
    if (dohodek <= kategorija[status][0])
      return davek = dohodek * davcnaStopnja[0]; // Done
    else
      davek = kategorija[status][0] * davcnaStopnja[0];

    // izračun davka po kategorijah
    for (int i = 1; i < kategorija[0].length; i=i+1) {
      if (dohodek > kategorija[status][i])
        davek += (kategorija[status][i] - kategorija[status][i - 1]) *
          davcnaStopnja[i];
      else {
        davek += (dohodek - kategorija[status][i - 1]) * davcnaStopnja[i];
        return davek;
      }
    }

    // davek za zadnjo kategorijo
    return  davek += (dohodek - kategorija[status][5]) * davcnaStopnja[6];
  }
}